all: design

design: design.ps design.html

design.ps: design.dvi
	dvips -o design.ps design.dvi

design.dvi: design.sgml
	sgml2latex design.sgml

design.html: design.sgml
	sgml2html design.sgml
	for File in `ls design*.html`; do \
	  cat $$File | sed 's/\<BODY\>/\<BODY bgcolor="white"\>/g' > $${File}.white ; \
	  mv  $${File}.white $$File ; \
	done

clean::
	rm -f *.html *.dvi design.ps


